Search for test

  1. Search 7.x for test
  2. Search 9.5.x for test
  3. Search 8.9.x for test
  4. Search 11.x for test
  5. Search main for test
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Test class core/modules/media/tests/modules/media_test_source/src/Plugin/media/Source/Test.php Provides test media source.
Test class core/modules/system/tests/modules/test_page_test/src/Controller/Test.php Defines a test controller for page titles.

All search results

Title Object type File name Summary
LinkFieldTest::doTestLinkTypeOnLinkWidget function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests '#link_type' property exists on 'link_default' widget.
LinkFieldTest::doTestURLValidation function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests link field URL validation.
LinkFieldTest::getUrlWithComplexQuery function core/modules/link/tests/src/Functional/LinkFieldTest.php Get array of url with complex query parameters for render check.
LinkFieldTest::getUrlWithComplexQueryInputList function core/modules/link/tests/src/Functional/LinkFieldTest.php Get list of url with complex query parameters for input check.
LinkFieldTest::renderTestEntity function core/modules/link/tests/src/Functional/LinkFieldTest.php Renders a test_entity and returns the output.
LinkFieldTest::setUp function core/modules/link/tests/src/Kernel/Plugin/migrate/field/d7/LinkFieldTest.php
LinkFieldTest::setUp function core/modules/link/tests/src/Functional/LinkFieldTest.php
LinkFieldTest::setUp function core/modules/link/tests/src/Unit/Plugin/migrate/field/d6/LinkFieldTest.php
LinkFieldTest::testAlterFieldInstanceMigration function core/modules/link/tests/src/Kernel/Plugin/migrate/field/d7/LinkFieldTest.php @covers ::alterFieldInstanceMigration[[api-linebreak]]
LinkFieldTest::testDefineValueProcessPipeline function core/modules/link/tests/src/Unit/Plugin/migrate/field/d6/LinkFieldTest.php @covers ::defineValueProcessPipeline[[api-linebreak]]
LinkFieldTest::testLinkField function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests the functionality and rendering of the link field.
LinkFieldTest::testLinkFormatterQueryParametersDuplication function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests the default 'link' formatter with complex query parameters.
LinkFieldTest::testLinkWidgetCaughtExceptionEditingInvalidUrl function core/modules/link/tests/src/Functional/LinkFieldTest.php Test link widget exception handled if link uri value is invalid.
LinkFieldTest::testNoLinkUri function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests <nolink> and <none> as link uri.
LinkFieldUITest class core/modules/link/tests/src/Functional/LinkFieldUITest.php Tests link field UI functionality.
LinkFieldUITest.php file core/modules/link/tests/src/Functional/LinkFieldUITest.php
LinkFieldUITest::$adminUser property core/modules/link/tests/src/Functional/LinkFieldUITest.php A user that can edit content types.
LinkFieldUITest::$contentType property core/modules/link/tests/src/Functional/LinkFieldUITest.php The content type to add fields to.
LinkFieldUITest::$defaultTheme property core/modules/link/tests/src/Functional/LinkFieldUITest.php
LinkFieldUITest::$helpTextUser property core/modules/link/tests/src/Functional/LinkFieldUITest.php A user that should see the help texts.
LinkFieldUITest::$modules property core/modules/link/tests/src/Functional/LinkFieldUITest.php
LinkFieldUITest::assertFieldContainsRawText function core/modules/link/tests/src/Functional/LinkFieldUITest.php Checks that given field contains the given raw text.
LinkFieldUITest::assertNoFieldContainsRawText function core/modules/link/tests/src/Functional/LinkFieldUITest.php Checks that given field does not contain the given raw text.
LinkFieldUITest::getFieldHtml function core/modules/link/tests/src/Functional/LinkFieldUITest.php Returns the raw HTML for the given field.
LinkFieldUITest::providerTestFieldUI function core/modules/link/tests/src/Functional/LinkFieldUITest.php Provides test data for ::testFieldUI().
LinkFieldUITest::runFieldUIItem function core/modules/link/tests/src/Functional/LinkFieldUITest.php Tests one link field UI item.
LinkFieldUITest::setUp function core/modules/link/tests/src/Functional/LinkFieldUITest.php
LinkFieldUITest::testFieldUI function core/modules/link/tests/src/Functional/LinkFieldUITest.php Tests the link field UI.
LinkFormatterTest class core/modules/link/tests/src/Unit/LinkFormatterTest.php Tests the Field Formatter for the link field type.
LinkFormatterTest.php file core/modules/link/tests/src/Unit/LinkFormatterTest.php
LinkFormatterTest::testFormatterLinkItem function core/modules/link/tests/src/Unit/LinkFormatterTest.php Tests when LinkItem::getUrl returns a functional URL.
LinkFormatterTest::testFormatterLinkItemUrlMalformed function core/modules/link/tests/src/Unit/LinkFormatterTest.php Tests when LinkItem::getUrl with malformed URL renders empty link.
LinkFormatterTest::testFormatterLinkItemUrlUnexpectedException function core/modules/link/tests/src/Unit/LinkFormatterTest.php Tests when LinkItem::getUrl throws an unexpected exception.
LinkGenerationTest class core/tests/Drupal/KernelTests/Core/Url/LinkGenerationTest.php Tests link generation with hooks.
LinkGenerationTest.php file core/tests/Drupal/KernelTests/Core/Url/LinkGenerationTest.php
LinkGenerationTest::$modules property core/tests/Drupal/KernelTests/Core/Url/LinkGenerationTest.php
LinkGenerationTest::testHookLinkAlter function core/tests/Drupal/KernelTests/Core/Url/LinkGenerationTest.php Tests how hook_link_alter() can affect escaping of the link text.
LinkGeneratorTest class core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php @coversDefaultClass \Drupal\Core\Utility\LinkGenerator[[api-linebreak]]
@group Utility
LinkGeneratorTest.php file core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php
LinkGeneratorTest::$defaultOptions property core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php Contains the LinkGenerator default options.
LinkGeneratorTest::$linkGenerator property core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php The tested link generator.
LinkGeneratorTest::$moduleHandler property core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php The mocked module handler.
LinkGeneratorTest::$renderer property core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php The mocked renderer service.
LinkGeneratorTest::$urlAssembler property core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php The mocked URL Assembler service.
LinkGeneratorTest::$urlGenerator property core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php The mocked URL generator.
LinkGeneratorTest::assertLink function core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php Checks that a link with certain properties exists in a given HTML snippet.
LinkGeneratorTest::assertNoXPathResults function core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php Checks that the given XPath query has no results in a given HTML snippet.
LinkGeneratorTest::providerTestGenerateHrefs function core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php Provides test data for testing the link method.
LinkGeneratorTest::setUp function core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php
LinkGeneratorTest::testGenerate function core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php Tests the generate() method with a route.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.